flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: heat_transfer   TOHLE M�N�M K OBRAZU NAPROTI
  mesh:
    mesh_file: ./input/pukliny02maly.msh
    regions:
      - !Union
        name: rockk
        regions:
          - rock
          - rock1
          - rock2
          - rock3
          - rock4
          - rock5
          - rock6
          - rock7
          - rock8
          - rock9
          - rock10
          - rock11
          - rock12
          - rock13
  flow_equation: !Flow_Darcy_MH
    nonlinear_solver:
      linear_solver: !Petsc
        options: -ksp_type preonly -pc_type lu
    input_fields:
      - region: rockk
        conductivity: 1.0e-3
      - region: puklina
        conductivity: 1e-2
      - region: .top
        bc_type: total_flux
        bc_flux: 0
      - region: .bottom
        bc_type: total_flux
        bc_flux: 0
      - region: .product
        bc_type: dirichlet
        bc_pressure: 0
      - region: .inject
        bc_type: total_flux
        bc_flux: 0.03
    balance: {}
    output_stream:
      file: flow.msh
      format: !gmsh
        variant: ascii
    output:
      fields:
        - piezo_head_p0
        - velocity_p0
#        - cross_section
  heat_equation: !Heat_AdvectionDiffusion_DG
    balance:
      cumulative: true
    input_fields:
      - region: ALL
        fluid_density: 1000.0
        fluid_heat_capacity: 4000
        fluid_heat_conductivity: 0.5
        solid_density: 1300.0
        solid_heat_capacity: 900
        solid_heat_conductivity: 2
      - region: rockk
        init_temperature: !FieldFormula
          value: 10-z/5000*150+273.15
        porosity: 1.0e-01
      - region: puklina
        init_temperature: !FieldFormula
          value: 10-z/5000*150+273.15
        porosity: 1.0e-01
        solid_density: 1900.0
        solid_heat_capacity: 850
        solid_heat_conductivity: 3
      - region: .inject
        init_temperature: !FieldFormula
          value: 15-z/5000*150+273.15
      - region: .side
        bc_type: dirichlet
        bc_temperature: !FieldFormula
          value: 10-z/5000*150+273.15
    output_stream:
      file: heat.msh
      format: !gmsh
        variant: ascii
      times:
        - step: 3155760       # 1 yr
    output_fields:
      - temperature
    solver: !Petsc
      a_tol: 1.0e-14
      r_tol: 1.0e-14
    time:
      end_time: 946728000     #315576000	10yr			#946728000       # 30 yr
